## libkdeedu 15.08.0

=== debian/changelog ===
libkdeedu (4:15.08.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update testsuite script

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 23:47:26 +0200

libkdeedu (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 23:27:20 +0200

libkdeedu (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 11:39:08 +0100

=== debian/control ===
Source: libkdeedu
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14),
               libx11-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkdeedu.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkdeedu.git

Package: libkeduvocdocument4
Architecture: any
Section: libs
Depends: kdeedu-data, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkdeedu4 (<< 4:4.6.80)
Breaks: libkdeedu4 (<< 4:4.6.80)
Description: library for reading and writing vocabulary files
 This package contains a library for reading and writing vocabulary files. It
 supports different file formats. KVTML (version 2) is the default. This library
 is used by Parley, Kanagram, KHangMan and KWordQuiz.
 .
 This package is part of the KDE education module.

Package: libkdeedu-dev
Architecture: any
Section: libdevel
Depends: kdelibs5-dev (>= 4:4.14),
         libkeduvocdocument4 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for the KDE educational libraries
 This package contains development files for building software that uses the
 KDE educational libraries.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkdeedu-dbg (<= 4:15.08.0-2~1.gbp3a2993~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, kinit
Restrictions: rw-build-tree

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkdeedu-([\d.]+).tar.xz

## libkdeedu 15.08.2

=== debian/changelog ===
libkdeedu (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:55:57 +0100

libkdeedu (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:39:10 +0100

libkdeedu (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:45:25 +0100

libkdeedu (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:23:20 +0100

libkdeedu (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix kdelibs version
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:43:06 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                kdelibs5-dev (>= 4:4.14),
                libx11-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkdeedu.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkdeedu.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkdeedu.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkdeedu.git
 
 Package: libkeduvocdocument4
 Architecture: any
@@ -38,3 +39,16 @@
  KDE educational libraries.
  .
  This package is part of the KDE education module.
+
+Package: libkdeedu-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: libkeduvocdocument4 (= ${binary:Version}), ${misc:Depends}
+Breaks: kdeedu-dbg (<< 4:4.6.80)
+Replaces: kdeedu-dbg (<< 4:4.6.80)
+Description: debugging symbols for the libkeduvocdocument library
+ This package contains debugging files used to investigate problems with
+ binaries included in the libkeduvocdocument4 library.
+ .
+ This package is part of the KDE education module.

## libkdeedu 15.12.3

=== CMakeLists.txt ===
project(LibKdeEdu)

#add_definitions( -Wall -fprofile-arcs -ftest-coverage )

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

add_subdirectory(keduvocdocument)
#add_subdirectory(widgets)
add_subdirectory(qtmmlwidget)


configure_file( "${LibKdeEdu_SOURCE_DIR}/LibKdeEduConfig.cmake.in" "${LibKdeEdu_BINARY_DIR}/LibKdeEduConfig.cmake" @ONLY )

if(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
    set(_LibKdeEdu_CONFIG_DEST "${LIB_INSTALL_DIR}/cmake/libkdeedu")
else(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
    set(_LibKdeEdu_CONFIG_DEST "${LIB_INSTALL_DIR}/libkdeedu")
endif(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)

install( FILES
        "${LibKdeEdu_BINARY_DIR}/LibKdeEduConfig.cmake"
        DESTINATION "${_LibKdeEdu_CONFIG_DEST}" )
install( EXPORT LibKdeEduTargets
         DESTINATION "${_LibKdeEdu_CONFIG_DEST}"
         NAMESPACE LibKdeEduImport__
         FILE LibKdeEduTargets.cmake )

=== keduvocdocument/tests/CMakeLists.txt ===
# To add a new unittest
# 1. Add its name to kvocdoc_unittests or kvocdoc_api_unittests

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

set( unittest_INCLUDE_DIRS
  ..
  ../readerwriters
)

set(unittest_LINK_LIBS
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KIO_LIBS}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${QT_QTXML_LIBRARY}
)

#API interface unit tests linked to exported shared library
set(kvocdoc_api_unittests
  keduvocdocumentvalidatortest
  keduvocdocumentfilelockingtest
  openAPItest
)

#Unit Tests linked to object behind the API wall
set(kvocdoc_unittests
  readerkvtml2test
  readerwordquiztest
  readerpaukertest
  readervokabelntest
  readerxdxftest
)

#Helper Clases for unit tests
set(kvocdoc_unittests_helpers
  readerTestHelpers
)

macro(ADD_KVOCDOC_UNITTESTS staticOrAPILib)
  foreach(_unittestname ${ARGN} )

    kde4_add_unit_test(${_unittestname} ${_unittestname}.cpp ${kvocdoc_unittests_helpers} )

    target_link_libraries( ${_unittestname} PRIVATE ${staticOrAPILib} ${unittest_LINK_LIBS} ${kvocdoc_LINK_LIBS} )

  endforeach(_unittestname ${argn} )
endmacro(ADD_KVOCDOC_UNITTESTS)


include_directories( ${unittest_INCLUDE_DIRS} )

ADD_KVOCDOC_UNITTESTS( keduvocdocument_static ${kvocdoc_unittests} )
ADD_KVOCDOC_UNITTESTS( keduvocdocument ${kvocdoc_api_unittests} )


# CONVERTER:


include_directories( .. )


########### next target ###############

set(converter_SRCS
   converter.cpp )


kde4_add_executable(converter ${converter_SRCS})

target_link_libraries(converter keduvocdocument ${KDE4_KDECORE_LIBS})

=== debian/changelog ===
libkdeedu (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:16:46 -0700

libkdeedu (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * Merged with Debian
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:26:11 +0100

libkdeedu (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:52 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,9 @@
                libx11-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkdeedu.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkdeedu.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkdeedu.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkdeedu.git
 
 Package: libkeduvocdocument4
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	$(overridden_command) --remaining-packages
 
 override_dh_strip:
-	$(overridden_command) --dbgsym-migration='libkdeedu-dbg (<= 4:15.08.0-2~1.gbp3a2993~)'
+	$(overridden_command) --dbg-package=libkdeedu-dbg

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11
Restrictions: rw-build-tree

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkdeedu-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/libkdeedu-([\d.]+).tar.xz
